dhall-json

Convert between Dhall and JSON or YAML

Version on this page:1.4.1
LTS Haskell 14.10:1.3.0@rev:1
Stackage Nightly 2019-09-21:1.4.1
Latest on Hackage:1.4.1@rev:1

See all snapshots dhall-json appears in

BSD-3-Clause licensed by Gabriel Gonzalez
Maintained by Gabriel439@gmail.com

Module documentation for 1.4.1

This version can be pinned in stack with:dhall-json-1.4.1@sha256:5b0dac356e84d03e855aa4e8aa455532c4c4a274154e26756ae77ebbc82c89a4,5398

Use this package if you want to convert between Dhall expressions and JSON or YAML. You can use this package as a library or an executable:

  • See the Dhall.JSON module if you want to use this package as a library

  • Use the dhall-to-json or dhall-to-yaml programs from this package if you want an executable

The Dhall.JSON module also contains instructions for how to use this package

Changes

1.4.1

1.4.0

1.3.0

1.2.8

1.2.7

1.2.6

1.2.5

1.2.4

1.2.3

  • Correctly handle nested association lists
  • Increase upper bound on dhall dependency
  • Increase upper bound on yaml dependency

1.2.2

  • Increase upper bound on dhall dependency
  • Increase upper bound on yaml dependency

1.2.1

  • Add support for preserving sum type tags
  • Sort keys when pretty-printing JSON
  • Increase upper bound on dhall dependency

1.2.0

  • BREAKING CHANGE: Add support for converting association lists to JSON records
    • This changes the behavior for records with two keys named mapKey and mapValue
  • Fix --help to not print ExitSuccess
  • Fix lower bound on dhall dependency
  • Remove optparse-generic dependency
  • Increase upper bound on dhall dependency

1.1.0

  • BREAKING CHANGE: Build against dhall-1.13.0
    • This requires a breaking change to the type of codeToValue

1.0.13

  • Add --omitNull flag to omit null-valued fields from generated JSON records
  • Add codeToValue
  • Increase upper bound on dhall dependency

1.0.12

  • Increase upper bound on aeson dependency
  • Increase upper bound on dhall dependency

1.0.11

  • Increase upper bound on dhall dependency
  • Increase upper bound on optparse-generic dependency

1.0.10

  • Increase upper bound on dhall dependency

1.0.9

  • Add trailing newline to JSON output
  • Remove dependency on QuasiQuotes

1.0.8

  • Increase upper bound on dhall dependency

1.0.7

  • Add --pretty flag
  • Increase upper bound on dhall dependency

1.0.6

  • Increase upper bound on aeson dependency
  • Increase upper bound on dhall dependency

1.0.5

  • Increase upper bound on optparse-generic dependency
  • Increase upper bound on trifecta dependency

1.0.4

  • Increase upper bound on dhall dependency

1.0.3

  • Increase upper bound on dhall dependency

1.0.2

  • Add support for translating unions by stripping the tag
  • Increase upper bound on dhall dependency

1.0.1

  • Increase upper bound on dhall dependency

1.0.0

  • Initial release
comments powered byDisqus